### Hierarchy

- IDrawable

### Implemented by

- Container
- Rectangle
- Text

## Index

### Properties

- color
- pos
- size

### Methods

- draw

## Properties

### Optional color

color?: Color

- Defined in ui/interfaces/IDrawable.ts:6

### pos

pos: Point

- Defined in ui/interfaces/IDrawable.ts:4

### Optional size

size?: Size

- Defined in ui/interfaces/IDrawable.ts:5

## Methods

### draw

- draw(offset?: Size, resolution?: Size): void

- - Defined in ui/interfaces/IDrawable.ts:7

  #### Parameters

  - ##### Optional offset: Size

  - ##### Optional resolution: Size

  #### Returns void

Generated using TypeDoc